# method

- TYPE NAME (TYPE NAME, ...) { STATEMENT }
  This form creates a method, bound to name, that can be called on this object, or instances of this class. The body of the method, the statement, will be evaluated when the method is called. The name may not be the name of any classes defined in the same program or of any fields in the same class.
- TYPE NAME (TYPE NAME, ...);
  This form creates the name of a method within an interface. All classes implementing the interface containing this method must contain a method with the same name, return type, and argument types.

ProfessorJ Beginner Language